using System;
using System.Text;

internal sealed class Delegate699 : MulticastDelegate
{
	public extern Encoding Invoke();

	public static Encoding smethod_0(Delegate699 delegate699_1)
	{
		return delegate699_1();
	}

	public extern Delegate699(object object_0, IntPtr intptr_0);

	static Delegate699()
	{
		Class10.smethod_13(typeof(Delegate699).TypeHandle);
	}

	internal static Delegate699 delegate699_0;
}
